<?php

namespace Litepie\Meeting\Forms;

class Meeting
{
    /**
     * Variable to store form configuration.
     *
     * @var collection
     */
    protected $form;

    /**
     * Variable to store form configuration.
     *
     * @var collection
     */
    protected $element;

    /**
     * Initialize the form.
     *
     * @return null
     */
    public function __construct()
    {
        $this->setForm();
    }

    /**
     * Return form elements.
     *
     * @return array.
     */
    public function form($element = 'fields', $grouped = true)
    {
        $item = collect($this->form->get($element));
        if ($element == 'fields' && $grouped == true) {
            return $item->groupBy(['group', 'section']);
        }
        return $item;

    }

    /**
     * Sets the form and form elements.
     * @return null.
     */
    public function setForm()
    {
        $this->form = collect([
            'form' => [
                'store' => [],
                'update' => [],
            ],
            'groups' => [
                'main' => 'Main',
            ],
            'fields' => [
                'name' => [
                    "type" => 'text',
                    "label" => trans('meeting::meeting.label.name'),
                    "placeholder" => trans('meeting::meeting.placeholder.name'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'parent_id' => [
                    "type" => 'numeric',
                    "label" => trans('meeting::meeting.label.parent_id'),
                    "placeholder" => trans('meeting::meeting.placeholder.parent_id'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'contacts_id' => [
                    "type" => 'numeric',
                    "label" => trans('meeting::meeting.label.contacts_id'),
                    "placeholder" => trans('meeting::meeting.placeholder.contacts_id'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'start_date' => [
                    "type" => 'date_picker',
                    "label" => trans('meeting::meeting.label.start_date'),
                    "placeholder" => trans('meeting::meeting.placeholder.start_date'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'duration' => [
                    "type" => 'text',
                    "label" => trans('meeting::meeting.label.duration'),
                    "placeholder" => trans('meeting::meeting.placeholder.duration'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'assigned_to' => [
                    "type" => 'numeric',
                    "label" => trans('meeting::meeting.label.assigned_to'),
                    "placeholder" => trans('meeting::meeting.placeholder.assigned_to'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'attendes' => [
                    "type" => 'text',
                    "label" => trans('meeting::meeting.label.attendes'),
                    "placeholder" => trans('meeting::meeting.placeholder.attendes'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'reminders' => [
                    "type" => 'text',
                    "label" => trans('meeting::meeting.label.reminders'),
                    "placeholder" => trans('meeting::meeting.placeholder.reminders'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'shedule_time' => [
                    "type" => 'text',
                    "label" => trans('meeting::meeting.label.shedule_time'),
                    "placeholder" => trans('meeting::meeting.placeholder.shedule_time'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'description' => [
                    "type" => 'text',
                    "label" => trans('meeting::meeting.label.description'),
                    "placeholder" => trans('meeting::meeting.placeholder.description'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
            ]
        );

    }
}
